package com.foreverwin.mesnac.dataimport.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;

/**
 * <p>
 * 主数据导入日志
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-09-12
 */

@TableName("Z_MASTER_IMPORT_LOG")

public class MasterImportLog extends Model<MasterImportLog> {

    private static final long serialVersionUID = 1L;

   @TableField("TRANS_ID")
   private String transId;
   @TableField("MESSAGE")
   private String message;
   @TableField("\"INDEX\"")
   private Long index;
   @TableField("LOG_TIME")
   private LocalDateTime logTime;


   public String getTransId() {
      return transId;
   }

   public void setTransId(String transId) {
      this.transId = transId;
   }

   public String getMessage() {
      return message;
   }

   public void setMessage(String message) {
      this.message = message;
   }

   public Long getIndex() {
      return index;
   }

   public void setIndex(Long index) {
      this.index = index;
   }

   public LocalDateTime getLogTime() {
      return logTime;
   }

   public void setLogTime(LocalDateTime logTime) {
      this.logTime = logTime;
   }

   @Override
   public String toString() {
      return "MasterImportLog{" +
         "transId = " + transId +
         ", message = " + message +
         ", index = " + index +
         ", logTime = " + logTime +
         "}";
   }
}